<nav class="navbar navbar-expand-lg shadow navbar-light bg-light">
  <div class="container">
    <a class="navbar-brand" href="#">Agence Immo</a>
    <button
      class="navbar-toggler"
      type="button"
      data-toggle="collapse"
      data-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item ">
          <a class="nav-link" [routerLink]="['/home']">Home</a>
        </li>

        <li *ngIf="loggedIn" class="nav-item dropdown">
          <a
            class="nav-link dropdown-toggle"
            href="#"
            id="navbarDropdown"
            role="button"
            data-toggle="dropdown"
            aria-haspopup="true"
            aria-expanded="false"
          >
            Administration
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" [routerLink]="['/admin', 'dashboard']"
              >Tableau de bord</a
            >
            <a
              class="dropdown-item"
              style="cursor:pointer;"
              (click)="onSignOut()"
              >Deconnexion</a
            >
          </div>
        </li>
      </ul>
    </div>
  </div>
</nav>
